1

[alpine-aports] [PATCH 1/4] testing/modemmanager: update to 1.4.8 + move post-install message

Stuart Cardall
Details
Message ID
<1431201986-56614-1-git-send-email-developer@it-offshore.co.uk>
Sender timestamp
1431201983
DKIM signature
missing
Download raw message
Patch: +12 -21
post-install message moved to $pkgname/usr/share/doc/README.alpine
---
 testing/modemmanager/APKBUILD                  | 17 ++++++++++++-----
 testing/modemmanager/modemmanager.post-install | 16 ----------------
 2 files changed, 12 insertions(+), 21 deletions(-)
 delete mode 100644 testing/modemmanager/modemmanager.post-install

diff --git a/testing/modemmanager/APKBUILD b/testing/modemmanager/APKBUILD
index 30c3440..fe34e65 100644
--- a/testing/modemmanager/APKBUILD
+++ b/testing/modemmanager/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Stuart Cardall <developer@it-offshore.co.uk>
 # Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
 pkgname=modemmanager
-pkgver=1.4.6
+pkgver=1.4.8
 pkgrel=0
 pkgdesc="ModemManager library"
 url="http://www.freedesktop.org/wiki/Software/ModemManager"
@@ -10,7 +10,6 @@ license="GPL2, LGPL2.1"
 depends_dev=""
 makedepends="$depends_dev gobject-introspection-dev gtk-doc intltool vala udev-dev polkit-dev
 		libmbim-dev libqmi-dev linux-headers"
-install="$pkgname.post-install"
 subpackages="$pkgname-dev $pkgname-lang $pkgname-doc libmm-glib:libmm libmm-glib-dev:libmmdev"
 source="http://www.freedesktop.org/software/ModemManager/ModemManager-$pkgver.tar.xz
 	no-XCASE.patch
@@ -73,14 +72,22 @@ package() {
 	mkdir -p "$pkgdir/usr/share/polkit-1/rules.d"
 	install -m644 -D "$srcdir/$pkgname.rules" \
                 "$pkgdir/usr/share/polkit-1/rules.d/01-org.freedesktop.ModemManager.rules" || return 1
+	# post-install message
+        mkdir -p "$pkgdir/usr/share/doc/$pkgname"
+        cat > $pkgdir/usr/share/doc/$pkgname/README.alpine <<EOF
+If your USB modem shows up as a Flash drive when you plug it in:
+
+install 'usb-modeswitch' to automatically switch to USB modem mode whenever you plug it in.
+To control your modem without the root password: add your user account to the 'plugdev' group.
+EOF
 }
 
-md5sums="158a5b5206d933121a993fd603a36b2a  ModemManager-1.4.6.tar.xz
+md5sums="03242732a8dbaccd52100b7e7bb1998e  ModemManager-1.4.8.tar.xz
 63288189ea454e9712dc26d76d75277d  no-XCASE.patch
 735e155a785554349906c09dd36d3866  modemmanager.rules"
-sha256sums="0cedabf46310f8c56630b116944f54ee64369c76c2f35f5f460ca19a8bb5a5cd  ModemManager-1.4.6.tar.xz
+sha256sums="d951eaffbe513bcde54f90602c6c423a49593f656d6485ba95f6fcb4bc1e8003  ModemManager-1.4.8.tar.xz
 5e5b87b580faf14e4c56ccc7f9f189522742a64ab365b26751dcc86e68dedb87  no-XCASE.patch
 577807e59b1e95757a4d94922c66f7f36487922c5092a6c148e7db6a4dc6afe8  modemmanager.rules"
-sha512sums="fb74961df2e3e1604de58838da6e8dd7cf80fee97dbfd71eb7f2df60cc319bf38df8c5706a5933856c500b014d3156066e608bb0820c967ddbd964bd9fc2fdec  ModemManager-1.4.6.tar.xz
+sha512sums="6dfbdbf579d1b7dd624836877d6556cdb15eec73c60c329d1d6200563495f8943d90f55e2d4e98b7741c05a19f11ac2de61dcabb4aec16a2ae61db453eafc3b5  ModemManager-1.4.8.tar.xz
 5c537e4a86212339d0c41ae3e1055513051a0d6e51bdf2547a38054fbe802feeac2ff46c863ab69423a6693ac33ebacec7a771d4b270aeb5fe6e6bb601361f23  no-XCASE.patch
 3c76ee577334e25c836857f8e7fef6a249cdd9fcd8f889cb64d9c1667bc6a95c087267a153bddd1a13256c59f8cd578ccb448e6b9cb54b73bb74acb8a0ca1e3f  modemmanager.rules"
diff --git a/testing/modemmanager/modemmanager.post-install b/testing/modemmanager/modemmanager.post-install
deleted file mode 100644
index 05eb1f2..0000000
--- a/testing/modemmanager/modemmanager.post-install
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-NORMAL="\033[1;0m"
-STRONG="\033[1;1m"
-GREEN="\033[1;32m"
-
-print_strong() {
-        local prompt="${STRONG}$1 ${GREEN}$2${NORMAL}"
-        printf "${prompt} %s\n"
-}
-
-print_strong "\nIf your USB modem shows up as a Flash drive" "when you plug it in:"
-print_strong "install 'usb-modeswitch'" "to automatically switch to USB modem mode whenever you plug it in."
-print_strong "\nTo control your modem without the root password:" " add your user account to the 'plugdev' group.\n"
-exit 0
-
-- 
2.4.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/4] testing/networkmanager: move post-install message

Stuart Cardall
Details
Message ID
<1431201986-56614-2-git-send-email-developer@it-offshore.co.uk>
In-Reply-To
<1431201986-56614-1-git-send-email-developer@it-offshore.co.uk> (view parent)
Sender timestamp
1431201984
DKIM signature
missing
Download raw message
Patch: +5 -7
post-install message moved to $pkgname/usr/share/doc/README.alpine
---
 testing/networkmanager/APKBUILD                    | 10 +++++-----
 testing/networkmanager/networkmanager.apk-post-msg |  2 --
 2 files changed, 5 insertions(+), 7 deletions(-)
 delete mode 100644 testing/networkmanager/networkmanager.apk-post-msg

diff --git a/testing/networkmanager/APKBUILD b/testing/networkmanager/APKBUILD
index 31ec957..7e05fcc 100644
--- a/testing/networkmanager/APKBUILD
+++ b/testing/networkmanager/APKBUILD
@@ -19,7 +19,6 @@ source="http://ftp.gnome.org/pub/GNOME/sources/NetworkManager/$_ver/NetworkManag
 	$pkgname.conf
 	$pkgname.initd
 	$pkgname.rules
-	$pkgname.apk-post-msg
 	new-fix-musl-headers.patch
 	disable_set_hostname.patch
 	"
@@ -86,27 +85,28 @@ package() {
 	install -m644 -D "$srcdir/$pkgname.rules" \
                 "$pkgdir/usr/share/polkit-1/rules.d/01-org.freedesktop.NetworkManager.settings.modify.system.rules" || return 1
 	mkdir -p "$pkgdir/usr/share/apk-tools/$pkgname"
-        install -m644 "$srcdir/$pkgname.apk-post-msg" "$pkgdir/usr/share/apk-tools/$pkgname/post-install-message" || return 1
+	# post-install message
+	mv "$pkgdir/usr/share/doc/NetworkManager" "$pkgdir/usr/share/doc/$pkgname" || return 1
+        cat > $pkgdir/usr/share/doc/$pkgname/README.alpine <<EOF
+To modify system network connections without the root password: add your user account to the 'plugdev' group.
+EOF
 }
 
 md5sums="71cae8707a90fa92e28cafbc9262b548  NetworkManager-1.0.0.tar.xz
 b722fa02f904a9c8ed0d2ec21cbfc588  networkmanager.conf
 34f8909bb776840e7ec0579aeea14d30  networkmanager.initd
 a39b4feaf1edecc057596be6d82ba634  networkmanager.rules
-defcc48b47314560dd7bbf6c106dc803  networkmanager.apk-post-msg
 eb52238b018c2ca9cd969facbf3e4a39  new-fix-musl-headers.patch
 4f2c03bce7febd1eede0dc2c5f8b30d9  disable_set_hostname.patch"
 sha256sums="3a66afec670c975edd9832e620b725a5f16ed267a1b9e1b2d51ef27250d85947  NetworkManager-1.0.0.tar.xz
 cd2a4b0079c0726973c1cf226c4e1cb4f2d27d02c16e0e08af7e4d6b8770423c  networkmanager.conf
 05225f1f658f9287d95b4564beb1089245ab83ccae28ba5d2d4c8fc5aefde207  networkmanager.initd
 01f4b833c515e88c1963a0ee56ffbf70c59c5efc4dd59a5174498d2fabfc9362  networkmanager.rules
-2602eb20b9340b32ce6a8956bcc643592441e467c5aa9ab2ae8941df286cf158  networkmanager.apk-post-msg
 ea205946b52fca22b9ef8b1f3a4e89a69dca430201b5b0f441564d1659d9f295  new-fix-musl-headers.patch
 6fc7bc258ac01c2d2578f5a29e7eee55b98bbf8f32dae6d28dede7d7ee5e5c4e  disable_set_hostname.patch"
 sha512sums="7089496ce31bfdffe99c0f031b6326734d2e36b3bb9a2ed0ecbe3dad64bff0dc993b2e6bcac770b31bcfe634833bd8dbabc23d128356dbba8243a6d8fc489a5e  NetworkManager-1.0.0.tar.xz
 a6e507260e2ceffad4cacb2b49a1d4f6b933e5ae8bc50c1bd56f828298c5dc8d9d17aa4be766faeacefbe3c6c0c748e4ef499a55bb5ee40f0f04bbf766fbbc82  networkmanager.conf
 80ef470956bc5319f02e8387bff17c5452d4147321f9f997ca86017494d5134d8579bf59566fc796f3e84ee5788a2d49743d3b93e795f4976661866d1f1b1442  networkmanager.initd
 9820ed2ead0af689644842de57657bb10330a1eaff0e85b21ae9913f55e399e47d8b41b0a12956f30de80272b4424c6e55f33acbc88e156879003a260bf576f6  networkmanager.rules
-8271652a8f0f6b6072a1b6e9fa9d8e2cda7e7f38a3b7449216022b5a1a4cdc32c1bb4c8f0332b8e858354aab3a841abc8d77b1fed4b7db723ef82d5dab06475b  networkmanager.apk-post-msg
 18eff8eadcb8d47742a5c760c0c4a217d82749edc0060dc3b62e6aa0671f456de9d0c11b1669b302371410cd4036bf21aee468ed1d61e7a84afd3b694bc69984  new-fix-musl-headers.patch
 cdc8c26720b983f8afb11ee08c87aab863522633d8dc08e8cea080ed8d94378b3534aedf09efc6e7481599cfede6122b5f6a86b0b45e0a8bb653f95d4c5beaf8  disable_set_hostname.patch"
diff --git a/testing/networkmanager/networkmanager.apk-post-msg b/testing/networkmanager/networkmanager.apk-post-msg
deleted file mode 100644
index 9ceedb2..0000000
--- a/testing/networkmanager/networkmanager.apk-post-msg
@@ -1,2 +0,0 @@
-To modify system network connections without the root password: add your user account to the 'plugdev' group.
-
-- 
2.4.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---